Results 1 to 6 of 6

Thread: problemes de dependències

  1. #1
    Join Date
    Oct 2008
    Location
    Noguera i Garraf
    Beans
    358
    Distro
    Ubuntu 12.04 Precise Pangolin

    problemes de dependències

    Bon dia!

    Volia instal·lar el xvidcap per capturar uns flaixos que em surten de tant en tant a l'angle superior esquerre de la pantalla i poder-vos-els mostrar per a veure si podíeu esbrinar què són, i ara el problema el tinc amb les dependències.

    Què he de fer? Gràcies a la bestreta!

    joan@joan-Aspire-E1-572:~/Baixades$ sudo dpkg -i xvidcap_1.1.5rc2_i386.deb
    S'està seleccionant el paquet xvidcap prèviament no seleccionat.
    (S'està llegint la base de dades… hi ha 1343499 fitxers i directoris instaŀlats actualment.)
    S'està preparant per a desempaquetar xvidcap_1.1.5rc2_i386.deb…
    S'està desempaquetant xvidcap (1.1.5rc2)…
    dpkg: problemes de dependències impedeixen la configuració de xvidcap:
    xvidcap depèn de libglade2-0 (>= 1:2.5.1); tot i així:
    El paquet libglade2-0:i386 no està instaŀlat.
    xvidcap depèn de liblame0 (>= 3.96.1); tot i així:
    xvidcap depèn de libpango1.0-0 (>= 1.14.5); tot i així:
    El paquet libpango1.0-0 no està instaŀlat.
    xvidcap depèn de libxmu6; tot i així:
    El paquet libxmu6:i386 no està instaŀlat.
    xvidcap depèn de scrollkeeper; tot i així:

    dpkg: s'ha produït un error en processar el paquet xvidcap (--install):
    problemes de dependències - es deixa sense configurar
    S'estan processant els activadors per a man-db (2.6.7.1-1ubuntu1)…
    S'estan processant els activadors per a mime-support (3.54ubuntu1.1)…
    S'estan processant els activadors per a gnome-menus (3.10.1-0ubuntu2)…
    S'estan processant els activadors per a desktop-file-utils (0.22-1ubuntu1)…
    S'estan processant els activadors per a bamfdaemon (0.5.1+14.04.20140409-0ubuntu1)…
    Rebuilding /usr/share/applications/bamf-2.index...
    S'estan processant els activadors per a menu (2.1.46ubuntu1)…
    S'han trobat errors en processar:
    xvidcap

  2. #2
    Join Date
    Feb 2007
    Location
    L'Hospitalet de Llobregat
    Beans
    1,933
    Distro
    Ubuntu 16.04 Xenial Xerus

    Re: problemes de dependències

    Sembla que la versió que estàs intentant instal·lar depèn d'altres paquets que no tens. Coses que es poden provar:
    Code:
    sudo apt-get install -f
    Aquesta ordre a vegades arregla problemes de paquets mal configurats als quals els falta una dependència.

    Ara bé, també pots desinstal·lar el xvidcap i provar el gtk-recordmydesktop, que pots instal·lar directament dels repositoris de l'Ubuntu:
    Code:
    sudo apt-get remove xvidcap
    Code:
    sudo apt-get install gtk-recordmydesktop
    Catalan Team: Tingueu presents les normes d'or dels fòrums d'Ubuntu: poseu un títol entenedor i apropiat als vostres fils; digueu quina versió i variant d'Ubuntu feu servir i a quina màquina; i què heu provat abans de demanar ajut.

  3. #3
    Join Date
    Oct 2008
    Location
    Noguera i Garraf
    Beans
    358
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: problemes de dependències

    Gràcies wgarcia! De fet ja tinc instal·lat el recordmydesktop, però em dona aquest error
    Last edited by jinglada; 4 Weeks Ago at 06:41 AM.

  4. #4
    Join Date
    Feb 2007
    Location
    L'Hospitalet de Llobregat
    Beans
    1,933
    Distro
    Ubuntu 16.04 Xenial Xerus

    Re: problemes de dependències

    Mira a "Avançat" quina carpeta està establerta per desar els fitxers.
    Catalan Team: Tingueu presents les normes d'or dels fòrums d'Ubuntu: poseu un títol entenedor i apropiat als vostres fils; digueu quina versió i variant d'Ubuntu feu servir i a quina màquina; i què heu provat abans de demanar ajut.

  5. #5
    Join Date
    Oct 2008
    Location
    Noguera i Garraf
    Beans
    358
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: problemes de dependències

    Gràcies, wgarcia. Semblo un principiant!

  6. #6
    Join Date
    Feb 2007
    Location
    Vallès - Països Catalans
    Beans
    75
    Distro
    Kubuntu

    Re: problemes de dependències

    Pels problemes de dependències pots provar d'instal·lar el paquet mitjançant el gdebi. A diferència de dpkg, gdebi permet la resolució de dependències de manera automàtica.

    apt install gdebi
    gdebi xvidcap_1.1.5rc2_i386.deb

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •